var countID = 2;
var tab_content = "";
var tab_role = "";
var lastIndexSelected = 0;
/* 
	method : createTab
	descrition : create a new tab
	params : {
		label : Label of the tab
		* role : Tab type
		* content : Content of the tab
		* href : Tab id 
		* callback : a function
	}
	comments : {
		#1 : if the user just set the label, a tab with blank content and a dynamic id is created
		#2 : if a tab with a set href already exists, don't duplicate, this function only select the tab 
		#3 : if the role is 
	* = Optional
*/

function createTab(label, role, content,href, callback){
	if( !$("#tabs-"+href).length){
		tab_content = content ? content : "";
		tab_role = role ? role : "new";
		countID++;
		$tabs.wijtabs("add", "#tabs-"+(href ? href : countID), (label.length > 21 ? label.substring(0, 18)+"..." : label));
		if(typeof(callback) == 'function') 
			callback($("#ptabs_"+(href ? href : countID)));
		else
			return $("#tabs-"+(href ? href : countID));
	}else{
		$tabs.wijtabs( "select", indexTab("#tabs-"+href) );
	}
}

/* 
	method : removeTab
	descrition : remove a tab
	params : {
		* href : Tab id 
		* callback : a function
	}
	comments : {
		#1 : if the user doesn't set no parameter, this function just remove the open tab

	* = Optional
*/

function removeTab(href, callback){
	$tabs.wijtabs("remove", 
		(
			href ? 
			indexTab(href) : lastIndexSelected
		)
	);
	if(typeof(callback) == 'function') 
		callback();
}

/* 
	method : indexTab
	descrition : return a tab index
	params : {
		* href : Tab id 
	}
	comments : {
		#1 : if the user doesn't set no parameter, this function just return the index of the open tab

	* = Optional
*/

function indexTab(href){
	return href ? 
		$( "li", $tabs ).index( $('[href="'+href+'"]').parent() ) : lastIndexSelected;
}

/*
 method : idTab
 descrition : remove a tab id
 params : {
 * index : Tab index
 }
 comments : {
 #1 : if the user doesn't set no parameter, this function just return the id of the open tab

 * = Optional
 */

function idTab(index){
    return $( ".ui-tabs-panel", $tabs ).eq((index ? index : indexTab())).attr("id");
}

function getTabData(index){
	return {
		id : parseInt(idTab(index).substring(6).split("_r_")[0]),
		folder : Base64.decode(idTab(index).substring(6).split("_r_")[1]),
		role : getTabRole(index),
		header : getTabHeader(index),
		content : getTabContent(index)
	};
}

function getTabHeader(index){
    return $( $tabs ).find('[href="#'+$( ".ui-tabs-panel", $tabs ).eq((index ? index : indexTab())).attr("id")+'"]').parent();
}

function getTabRole(index){
	return getTabContent(index).attr("role");
}

function getTabContent(index){
	return $( ".ui-tabs-panel", $tabs ).eq((index ? index : indexTab()));
}

function setFolderTabTotal(value){
	getTabHeader(0).find(".folder-tab-total-msgs-number").html(parseInt(value) ? value : 0);
}

function setFolderTabTotalUnread(value){
	getTabHeader(0).find(".folder-tab-new-msgs-number").html(parseInt(value) ? value : 0);	
	if(parseInt(value))
		$("title").html($("title").html() +" ("+value+")");
}

function setFolderTabName(value){
	getTabHeader(0).find(".folder-tab-name").html(value);	
	$("title").html(value);
}